ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jaimin D Jetly (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-13960) Unable to build Ambari from Docker/CentOS image
Date Sat, 21 Nov 2015 00:21:11 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-13960?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jaimin D Jetly updated AMBARI-13960:
------------------------------------
    Fix Version/s: 2.2.0

> Unable to build Ambari from Docker/CentOS image
> -----------------------------------------------
>
>                 Key: AMBARI-13960
>                 URL: https://issues.apache.org/jira/browse/AMBARI-13960
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-web
>    Affects Versions: 2.2.0
>            Reporter: Vijay Srinivasaraghavan
>            Assignee: Vijay Srinivasaraghavan
>             Fix For: 2.2.0
>
>         Attachments: AMBARI-13960.patch
>
>
> ambari-web module build step is failing with the latest trunk code. I am running maven
build command from the Docker image built using 
> https://github.com/apache/ambari/tree/trunk/dev-support/docker 
> {code}
> mvn -B -X clean install package rpm:rpm -Dmaven.clover.skip=true -Dfindbugs.skip=true
-DskipTests -Dstack.distribution=HDP -Dpython.ver="python >= 2.6"
> .....
> .....
> .....
> > contextify@0.1.15 install /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify
> > node-gyp rebuild
> npm http 304 https://registry.npmjs.org/range-parser/0.0.4
> npm http 304 https://registry.npmjs.org/readable-stream
> npm http GET https://registry.npmjs.org/assert-plus
> npm http 304 https://registry.npmjs.org/assert-plus
> npm http GET https://registry.npmjs.org/semver
> npm http GET https://registry.npmjs.org/underscore/1.8.2
> npm http 304 https://registry.npmjs.org/semver
> make: Entering directory `/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify/build'
> npm http 304 https://registry.npmjs.org/underscore/1.8.2
>   CXX(target) Release/obj.target/contextify/src/contextify.o
> In file included from ../src/contextify.cc:3:
> ../node_modules/nan/nan.h:328: error: 'REPLACE_INVALID_UTF8' is not a member of 'v8::String'
> make: *** [Release/obj.target/contextify/src/contextify.o] Error 1
> make: Leaving directory `/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify/build'
> gyp ERR! build error
> gyp ERR! stack Error: `make` failed with exit code: 2
> gyp ERR! stack     at ChildProcess.onExit (/usr/lib/node_modules/node-gyp/lib/build.js:267:23)
> gyp ERR! stack     at ChildProcess.emit (events.js:98:17)
> gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:820:12)
> gyp ERR! System Linux 3.12.39-47-default
> gyp ERR! command "node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js"
"rebuild"
> gyp ERR! cwd /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify
> gyp ERR! node -v v0.10.36
> gyp ERR! node-gyp -v v0.10.6
> gyp ERR! not ok
> npm http GET https://registry.npmjs.org/ansi-styles
> npm http GET https://registry.npmjs.org/supports-color
> npm http GET https://registry.npmjs.org/generate-function
> npm http GET https://registry.npmjs.org/generate-object-property
> npm http GET https://registry.npmjs.org/jsonpointer/2.0.0
> npm http GET https://registry.npmjs.org/xtend
> npm http 304 https://registry.npmjs.org/supports-color
> npm http 304 https://registry.npmjs.org/ansi-styles
> npm http GET https://registry.npmjs.org/extsprintf/1.0.2
> npm http GET https://registry.npmjs.org/json-schema/0.2.2
> npm http 304 https://registry.npmjs.org/xtend
> npm http 304 https://registry.npmjs.org/json-schema/0.2.2
> npm http 304 https://registry.npmjs.org/generate-object-property
> npm http 304 https://registry.npmjs.org/generate-function
> npm http 304 https://registry.npmjs.org/jsonpointer/2.0.0
> npm http 304 https://registry.npmjs.org/extsprintf/1.0.2
> npm http GET https://registry.npmjs.org/hoek
> npm http GET https://registry.npmjs.org/boom
> npm http GET https://registry.npmjs.org/cryptiles
> npm http GET https://registry.npmjs.org/sntp
> npm http GET https://registry.npmjs.org/mkdirp/0.3.0
> npm http 304 https://registry.npmjs.org/boom
> npm http 304 https://registry.npmjs.org/cryptiles
> npm http 304 https://registry.npmjs.org/hoek
> npm http GET https://registry.npmjs.org/graceful-readlink
> npm http 304 https://registry.npmjs.org/sntp
> npm http 304 https://registry.npmjs.org/mkdirp/0.3.0
> > clean-css-brunch@1.4.0 postinstall /tmp/ambari/ambari-web/node_modules/clean-css-brunch
> > node setup.js postinstall
> npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid'
> npm ERR! error rolling back  jsdom@0.6.5 { [Error: ENOTEMPTY, rmdir '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid']
> npm ERR! error rolling back   errno: 53,
> npm ERR! error rolling back   code: 'ENOTEMPTY',
> npm ERR! error rolling back   path: '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid'
}
> npm http 304 https://registry.npmjs.org/graceful-readlink
> npm ERR! Error: ENOENT, lstat '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/http-signature/node_modules/sshpk/node_modules/jodid25519/lib/eddsa.js'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/http-signature/node_modules/sshpk/node_modules/jodid25519/lib/eddsa.js
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/http-signature/node_modules/sshpk/node_modules/jodid25519/lib/eddsa.js
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:284:26
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm WARN engine boom@2.10.1: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.36","npm":"1.3.6"})
> npm WARN engine cryptiles@2.0.5: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.36","npm":"1.3.6"})
> npm WARN engine hoek@2.16.3: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.36","npm":"1.3.6"})
> npm http GET https://registry.npmjs.org/ycssmin
> npm http GET https://registry.npmjs.org/ansi-regex
> npm ERR! Error: ENOENT, utime '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/boom/package.json'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/boom/package.json
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/boom/package.json
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! fstream_finish_call utimes
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:305:19
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm ERR! Error: ENOENT, lstat '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/hoek/package.json'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/hoek/package.json
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/hoek/package.json
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:284:26
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm ERR! Error: ENOENT, lstat '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/cryptiles/package.json'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/cryptiles/package.json
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/cryptiles/package.json
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:284:26
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm ERR! Error: ENOENT, lstat '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/sntp/package.json'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/sntp/package.json
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/hawk/node_modules/sntp/package.json
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:284:26
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm http GET https://registry.npmjs.org/minimist/0.0.8
> npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/generate-object-property'
> npm ERR! error rolling back  karma-ember-precompiler-brunch@0.0.2 { [Error: ENOTEMPTY,
rmdir '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/generate-object-property']
> npm ERR! error rolling back   errno: 53,
> npm ERR! error rolling back   code: 'ENOTEMPTY',
> npm ERR! error rolling back   path: '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/generate-object-property'
}
> npm ERR! weird error 1
> npm ERR! Error: ENOENT, open '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/xtend/immutable.js'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/xtend/immutable.js
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! EEXIST, mkdir '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/jsonpointer'
> File exists: /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/jsonpointer
> Move it away, and try again.
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/jsonpointer
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/jsonpointer/.travis.yml
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code EEXIST
> npm ERR! errno 47
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:171:23
> npm ERR! fstream_stack /usr/lib/node_modules/mkdirp/index.js:37:53
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm ERR! Error: ENOENT, open '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/generate-function/index.js'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/har-validator/node_modules/is-my-json-valid/node_modules/generate-function/index.js
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm http GET https://registry.npmjs.org/lodash
> npm http GET https://registry.npmjs.org/sprintf-js
> npm ERR! Error: ENOENT, lstat '/tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/http-signature/node_modules/sshpk/node_modules/tweetnacl/nacl-fast.min.js'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/http-signature/node_modules/sshpk/node_modules/tweetnacl/nacl-fast.min.js
> npm ERR! fstream_path /tmp/ambari/ambari-web/node_modules/karma-ember-precompiler-brunch/node_modules/jsdom/node_modules/request/node_modules/http-signature/node_modules/sshpk/node_modules/tweetnacl/nacl-fast.min.js
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:284:26
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> npm http 304 https://registry.npmjs.org/ycssmin
> npm http 304 https://registry.npmjs.org/ansi-regex
> npm http 304 https://registry.npmjs.org/minimist/0.0.8
> npm http 304 https://registry.npmjs.org/lodash
> npm http 304 https://registry.npmjs.org/sprintf-js
> npm ERR! Error: ENOENT, lstat '/root/tmp/npm-757-US2vJakX/1447877922744-0.4004936465062201/package/index.js'
> npm ERR! If you need help, you may report this log at:
> npm ERR!     <http://github.com/isaacs/npm/issues>
> npm ERR! or email it to:
> npm ERR!     <npm-@googlegroups.com>
> npm ERR! System Linux 3.12.39-47-default
> npm ERR! command "node" "/usr/bin/npm" "install"
> npm ERR! cwd /tmp/ambari/ambari-web
> npm ERR! node -v v0.10.36
> npm ERR! npm -v 1.3.6
> npm ERR! path /root/tmp/npm-757-US2vJakX/1447877922744-0.4004936465062201/package/index.js
> npm ERR! fstream_path /root/tmp/npm-757-US2vJakX/1447877922744-0.4004936465062201/package/index.js
> npm ERR! fstream_type File
> npm ERR! fstream_class FileWriter
> npm ERR! code ENOENT
> npm ERR! errno 34
> npm ERR! fstream_stack /usr/lib/node_modules/fstream/lib/writer.js:284:26
> npm ERR! fstream_stack Object.oncomplete (fs.js:108:15)
> Removing /tmp/ambari/ambari-web/node_modules/phantomjs/lib/phantom
> npm http GET https://registry.npmjs.org/string_decoder
> npm http GET https://registry.npmjs.org/inherits
> npm http GET https://registry.npmjs.org/core-util-is
> Copying extracted folder /tmp/ambari/ambari-web/node_modules/phantomjs/phantomjs/phantomjs-1.9.8-linux-x86_64.tar.bz2-extract-1447877916027/phantomjs-1.9.8-linux-x86_64
-> /tmp/ambari/ambari-web/node_modules/phantomjs/lib/phantom
> npm http GET https://registry.npmjs.org/isarray/0.0.1
> npm http 304 https://registry.npmjs.org/inherits
> npm http 304 https://registry.npmjs.org/string_decoder
> npm http 304 https://registry.npmjs.org/isarray/0.0.1
> npm http 304 https://registry.npmjs.org/core-util-is
> Writing location.js file
> Done. Phantomjs binary available at /tmp/ambari/ambari-web/node_modules/phantomjs/lib/phantom/bin/phantomjs
> npm http GET https://registry.npmjs.org/process-nextick-args
> npm http GET https://registry.npmjs.org/util-deprecate
> npm http 304 https://registry.npmjs.org/util-deprecate
> npm http 304 https://registry.npmjs.org/process-nextick-args
> npm http GET https://registry.npmjs.org/is-property
> npm http 304 https://registry.npmjs.org/is-property
> > uglify-js-brunch@1.3.1 postinstall /tmp/ambari/ambari-web/node_modules/uglify-js-brunch
> > node setup.js postinstall
> > contextify@0.1.15 install /tmp/ambari/ambari-web/node_modules/ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify
> > node-gyp rebuild
> npm WARN engine hoek@2.16.3: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.36","npm":"1.3.6"})
> npm WARN engine boom@2.10.1: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.36","npm":"1.3.6"})
> npm WARN engine cryptiles@2.0.5: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.36","npm":"1.3.6"})
> npm http GET https://registry.npmjs.org/cssom
> npm http 304 https://registry.npmjs.org/cssom
> npm http GET https://registry.npmjs.org/buster-format
> npm http 304 https://registry.npmjs.org/buster-format
> make: Entering directory `/tmp/ambari/ambari-web/node_modules/ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify/build'
>   CXX(target) Release/obj.target/contextify/src/contextify.o
> npm http GET https://registry.npmjs.org/buster-core/0.6.4
> > javascript-brunch@1.3.0 postinstall /tmp/ambari/ambari-web/node_modules/javascript-brunch
> > node setup.js postinstall
> npm http 304 https://registry.npmjs.org/buster-core/0.6.4
> In file included from ../src/contextify.cc:3:
> ../node_modules/nan/nan.h:328: error: 'REPLACE_INVALID_UTF8' is not a member of 'v8::String'
> make: *** [Release/obj.target/contextify/src/contextify.o] Error 1
> make: Leaving directory `/tmp/ambari/ambari-web/node_modules/ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify/build'
> gyp ERR! build error
> gyp ERR! stack Error: `make` failed with exit code: 2
> gyp ERR! stack     at ChildProcess.onExit (/usr/lib/node_modules/node-gyp/lib/build.js:267:23)
> gyp ERR! stack     at ChildProcess.emit (events.js:98:17)
> gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:820:12)
> gyp ERR! System Linux 3.12.39-47-default
> gyp ERR! command "node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js"
"rebuild"
> gyp ERR! cwd /tmp/ambari/ambari-web/node_modules/ember-precompiler-brunch/node_modules/jsdom/node_modules/contextify
> gyp ERR! node -v v0.10.36
> gyp ERR! node-gyp -v v0.10.6
> gyp ERR! not ok
> npm WARN optional dep failed, continuing contextify@0.1.15
> > less-brunch@1.4.1 postinstall /tmp/ambari/ambari-web/node_modules/less-brunch
> > node setup.js postinstall
> npm http GET https://registry.npmjs.org/lru-cache
> npm http 304 https://registry.npmjs.org/lru-cache
> npm http GET https://registry.npmjs.org/optimist
> npm http GET https://registry.npmjs.org/source-map
> npm http GET https://registry.npmjs.org/uglify-js
> npm http 304 https://registry.npmjs.org/optimist
> npm http 304 https://registry.npmjs.org/source-map
> npm http 304 https://registry.npmjs.org/uglify-js
> npm http GET https://registry.npmjs.org/wordwrap
> npm http GET https://registry.npmjs.org/minimist
> npm http GET https://registry.npmjs.org/amdefine
> npm http GET https://registry.npmjs.org/async
> npm http GET https://registry.npmjs.org/source-map/0.1.34
> npm http GET https://registry.npmjs.org/uglify-to-browserify
> npm http GET https://registry.npmjs.org/yargs
> npm http GET https://registry.npmjs.org/readable-stream
> npm http GET https://registry.npmjs.org/stream-counter
> npm http 304 https://registry.npmjs.org/minimist
> npm http 304 https://registry.npmjs.org/wordwrap
> npm http 304 https://registry.npmjs.org/amdefine
> npm http 304 https://registry.npmjs.org/uglify-to-browserify
> npm http 304 https://registry.npmjs.org/yargs
> npm http 304 https://registry.npmjs.org/readable-stream
> npm http 304 https://registry.npmjs.org/stream-counter
> npm http 304 https://registry.npmjs.org/source-map/0.1.34
> npm http 304 https://registry.npmjs.org/async
> npm http GET https://registry.npmjs.org/camelcase
> npm http GET https://registry.npmjs.org/decamelize
> npm http GET https://registry.npmjs.org/window-size/0.1.0
> npm http GET https://registry.npmjs.org/wordwrap/0.0.2
> npm http 304 https://registry.npmjs.org/window-size/0.1.0
> npm http 304 https://registry.npmjs.org/wordwrap/0.0.2
> npm http 304 https://registry.npmjs.org/camelcase
> npm http 304 https://registry.npmjs.org/decamelize
> npm ERR!
> npm ERR! Additional logging details can be found in:
> npm ERR!     /tmp/ambari/ambari-web/npm-debug.log
> npm ERR! not ok code 0
> [INFO] ------------------------------------------------------------------------
> [INFO] Reactor Summary:
> [INFO]
> [INFO] Ambari Main ....................................... SUCCESS [18.201s]
> [INFO] Apache Ambari Project POM ......................... SUCCESS [0.532s]
> [INFO] Ambari Web ........................................ FAILURE [1:31.093s]
> [INFO] Ambari Views ...................................... SKIPPED
> [INFO] Ambari Admin View ................................. SKIPPED
> [INFO] ambari-metrics .................................... SKIPPED
> [INFO] Ambari Metrics Common ............................. SKIPPED
> [INFO] Ambari Metrics Hadoop Sink ........................ SKIPPED
> [INFO] Ambari Metrics Flume Sink ......................... SKIPPED
> [INFO] Ambari Metrics Kafka Sink ......................... SKIPPED
> [INFO] Ambari Metrics Storm Sink ......................... SKIPPED
> [INFO] Ambari Metrics Collector .......................... SKIPPED
> [INFO] Ambari Metrics Monitor ............................ SKIPPED
> [INFO] Ambari Metrics Assembly ........................... SKIPPED
> [INFO] Ambari Server ..................................... SKIPPED
> [INFO] Ambari Agent ...................................... SKIPPED
> [INFO] Ambari Client ..................................... SKIPPED
> [INFO] Ambari Python Client .............................. SKIPPED
> [INFO] Ambari Groovy Client .............................. SKIPPED
> [INFO] Ambari Shell ...................................... SKIPPED
> [INFO] Ambari Python Shell ............................... SKIPPED
> [INFO] Ambari Groovy Shell ............................... SKIPPED
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 1:52.426s
> [INFO] Finished at: Wed Nov 18 20:19:44 UTC 2015
> [INFO] Final Memory: 16M/59M
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.2.1:exec (compile-npm)
on project ambari-web: Command execution failed. Process exited with an error: 34 (Exit value:
34) -> [Help 1]
> org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.2.1:exec
(compile-npm) on project ambari-web: Command execution failed.
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:217)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)
>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)
>         at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)
>         at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:320)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:606)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
> Caused by: org.apache.maven.plugin.MojoExecutionException: Command execution failed.
>         at org.codehaus.mojo.exec.ExecMojo.execute(ExecMojo.java:362)
>         at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:101)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:209)
>         ... 19 more
> Caused by: org.apache.commons.exec.ExecuteException: Process exited with an error: 34
(Exit value: 34)
>         at org.apache.commons.exec.DefaultExecutor.executeInternal(DefaultExecutor.java:377)
>         at org.apache.commons.exec.DefaultExecutor.execute(DefaultExecutor.java:160)
>         at org.codehaus.mojo.exec.ExecMojo.executeCommandLine(ExecMojo.java:610)
>         at org.codehaus.mojo.exec.ExecMojo.execute(ExecMojo.java:352)
>         ... 21 more
> [ERROR]
> [ERROR]
> [ERROR] For more information about the errors and possible solutions, please read the
following articles:
> [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
> [ERROR]
> [ERROR] After correcting the problems, you can resume the build with the command
> [ERROR]   mvn <goals> -rf :ambari-web
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message